MBGMODEL(1)

NAME
mBgModel - Re-project and mosaic your images, with background rectification

SYNOPSIS
mBgModel [-i niter] [-l(evel-only)] [-d level] [-r refimg] [-s statusfile] images.tbl fits.tbl corrections.tbl

DESCRIPTION
mBgModel is a modelling/fitting program. It uses the image-to-image difference parameter table created by mFitExec to interactively determine a set of corrections to apply to each image in order to achieve a "best" global fit.

OPTIONS

-i -niter
    Number of iterations (without switch, defaults to 5000). Can be between 1 and 32767.

-l  Calculate level adjustments only (ie, don't attempt to match the slopes)

-d level
    Turns on debugging to the specified level (1-3).

-r refimg
    Turns on additional debugging for the nth image in images.tbl.

-a  Use all the input differences (by default we exclude very small overlap areas).

-s statusfile
    mBgModel output and errors are written to statusfile instead of to stdout.

ARGUMENTS

images.tbl
    Image metadata table generated by mImgtbl.

fits.tbl
    Plane fitting table generated by mFitExec.

corrections.tbl
    Output table of background corrections

RESULT
Output table containing corrections to be applied to each image.

MESSAGES

OK  [struct stat="OK"]

ERROR
    Argument for -i (string) cannot be interpreted as an integer

ERROR
    Number of iterations too small (niter). This parameter is normally around 5000.

ERROR
    Argument for -r (string) cannot be interpreted as an integer

ERROR
    Cannot open status file: statusfile

ERROR
    Failed to open output filename

ERROR
    Invalid image metadata file: filename

ERROR
    Need columns: cntr nl ns crpix1 crpix2 in image info file

ERROR
    malloc() failed (ImgInfo)

ERROR
    realloc() failed (ImgInfo)

ERROR
    Invalid background fit parameters file: filename

ERROR
    Need columns: plus minus a b c crpix1 crpix2 xmin xmax ymin ymax xcenter ycenter npixel rms boxx boxy boxwidth boxheight boxang

ERROR
    malloc() failed (FitInfo)

ERROR
    realloc() failed (FitInfo)

ERROR
    malloc() failed (CorrInfo)

ERROR
    realloc() failed (CorrInfo)

ERROR
    Debug reference image out of range (0 - n)

ERROR
    Invalid fit type

ERROR
    Allocation failure in ivector()

EXAMPLES

After running mDiffExec to create a set of difference images in diffdir, we generate an image difference table using mFitExec: sample fits.tbl.

$ mBgModel images.tbl fits.tbl corrections.tbl
    [struct stat="OK"]

This results in the creation of corrections.tbl.

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.